For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
Dashboard
LogoLogo
PARTNER

Refresh Access Token

||View as Markdown|
POST
https://api-stg.transak.com/partners/api/v2/refresh-token
POST
/partners/api/v2/refresh-token
$curl -X POST https://api-stg.transak.com/partners/api/v2/refresh-token \
> -H "api-secret: " \
> -H "Content-Type: application/json" \
> -d '{
> "apiKey": "a1b2c3d4e5f67890abcdef1234567890"
>}'
1{
2 "data": {
3 "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJBUElfS0VZIjoiYTg3ZjY1Y2ItZDAxMi00ZjY3LWE3YjMtYjYxZDI3NzYxNzQ1IiwiaWF0IjoxNjg4MDAwMDAwLCJleHAiOjE2ODg2MDY0MDB9.9Xq7vJzQ1v5X9Y2kPq3W8bT6L1mN0rJvFzG5dH7kL9o",
4 "expiresAt": 1688606400
5 }
6}
The Refresh Access Token API is an authenticated endpoint intended for access token renewal. <Callout intent="warning"> Invoke this endpoint only when the existing access token has expired (token validity: 7 days). Do not call it repeatedly or on every request, as this can cause unnecessary token regeneration and potential rate-limiting issues. </Callout>
Was this page helpful?
Previous

Get Webhooks

Next

Create Widget URL

Built with

The Refresh Access Token API is an authenticated endpoint intended for access token renewal.

Invoke this endpoint only when the existing access token has expired (token validity: 7 days). Do not call it repeatedly or on every request, as this can cause unnecessary token regeneration and potential rate-limiting issues.

Headers

api-secretstringRequired

Your api secret, you can get it from Transak Partner Dashboard for respective environment

Note: Refer this tutorial on how to fetch the API secret from the partner dashboard.

Request

This endpoint expects an object.
apiKeystringRequired

Your Api Key which you can get it from Transak Partner Dashboard for respective environment

Response

200
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error